Subject: Re: [PATCH 1/9] test-lib-functions: mark 'test_commit' variables as 'local'

From: Junio C Hamano <[email-masked]>
Date: Wed, 26 Oct 2022 14:38:44 -0700

Philippe Blain <[email-masked]> writes:

>> While it is OK to argue that they deserve it, we would have to be
>> finding and fixing them ourselves after all.
>
> Isn't the fact that the test suite passes with this change enough for us
> to be confident that nothing is broken by it ?

I am not brave enough to claim that, actually.

But even if the tests were subtly changing their behaviour and no
longer testing what they originally meant to test, I think that is
OK.  It will not be the first time for us to later find out that
some tests were passing for a wrong reason, or some that expect
failure were failing for a wrong reason.  We had multiple such cases
we later found and fixed, so even if these "local" introduced changes
in behaviour to some tests, I am OK ;-).